<?php

session_start();
include 'config.php';

if(isset($_POST['enviar'])){
    $usuario = $_SESSION['usuario'];
    $mensaje = $_POST['mensaje'];
    $id_user = $_SESSION['num_usu']; 
    
    if($_POST['user_dest'] != 0){
        $user_destino = $_POST['user_dest'];
        
        $select = "select nombre from dxopemaex where oper='$user_destino'";
        $query = mysqli_query($con ,$select,$conex); 
        $nombre_destino= mysqli_result($query,0); 

        $insert = "insert into chat (ip_rem,mensaje,dxacceso_n_reg,dest_n_reg,ip_dest)";
        $insert.= "values ('".$usuario."','".$mensaje."','".$id_user."','".$user_destino."','".$nombre_destino."')";
    }
    
    else {
        mysqli_query($con ,"SET NAMES utf8");
        $insert = "insert into chat (ip_rem,mensaje,dxacceso_n_reg)";
        $insert.= "values ('".$usuario."','".$mensaje."','".$id_user."')";
    }
  
    mysqli_query($con ,"SET NAMES utf8");
    mysqli_query($con ,$insert,$conex);
    header("Location: index.php");
    //echo $insert;
}
else{
    echo "Error";
}
?>